@font-face {
    font-display: block;
    font-family: "Montserrat";
    font-style: normal;
    font-weight: 400;
    src: url(../woff2/montserrat-normal-latin-400.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}


@font-face {
    font-display: block;
    font-family: "Montserrat";
    font-style: normal;
    font-weight: 400;
    src: url(../woff2/montserrat-normal-latin-ext-400.woff2) format("woff2");
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}


@font-face {
    font-display: block;
    font-family: "Montserrat";
    font-style: normal;
    font-weight: 900;
    src: url(../woff2/montserrat-normal-latin-900.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}


@font-face {
    font-display: block;
    font-family: "Montserrat";
    font-style: normal;
    font-weight: 900;
    src: url(../woff2/montserrat-normal-latin-ext-900.woff2) format("woff2");
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}




:disabled {
    pointer-events: none;
}


:focus {
    outline: none;
}


:root {
    --color--white: #FFFFFF;
    --color--crayola: #FF4B51;
    --color--dark-gunmetal: #1C262F;

    --width--viewport: calc(100vw - var(--width--scroll-bar));
}




::selection {
    background-color: var(--color--crayola);
    color: var(--color--white);
}




::-moz-focus-inner {
    border: none;
}




a {
    color: inherit;
    text-decoration: none;
}


body {
    background-color: var(--color--white);
    color: var(--color--dark-gunmetal);
    font-family: "Montserrat";
    font-size: 23px;
    font-weight: 400;
    margin: 0;
}


button {
    border: none;
    color: inherit;
    cursor: pointer;
    font: inherit;
}


dialog {
    background-color: var(--color--white);
    border: none;
    bottom: 0;
    box-sizing: border-box;
    color: inherit;
    display: block;
    height: auto;
    left: 0;
    overflow-y: scroll;
    padding: 0;
    position: fixed;
    right: 0;
    top: 0;
    transform: translateX(calc(-1 * var(--width--viewport)));
    width: auto;
    z-index: 1;
}

dialog[_active] {
    transform: translateX(0);
}


fieldset {
    border: none;
    margin: 0;
    padding: 0;
}


h1 {
    font-size: 37px;
    font-family: inherit;
    font-weight: 900;
    line-height: 47px;
    margin: 0 0 20px;
}

h2 {
    font-size: 27px;
    font-weight: 900;
    line-height: 37px;
    margin: 0 0 40px;
}


input[type="checkbox"],
input[type="radio"] {
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
}

input[type="email"],
input[type="tel"],
input[type="text"] {
    background-color: transparent;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 3px;
    box-sizing: border-box;
    display: block;
    font: inherit;
    padding: 17px 24px;
    width: 100%;
}


label {
    display: block;
}


legend {
    font-size: 27px;
    font-weight: 900;
    line-height: 37px;
    margin: 0 0 56px;
    padding: 0;
}


li:not(:last-child) {
    margin-bottom: 10px;
}


p {
    line-height: 40px;
}


svg {
    display: block;
    fill: currentColor;
    pointer-events: none;
}


ul {
    line-height: 38px;
    list-style-type: none;
    margin: 0 0 32px;
    padding: 0;
}




.page {
    height: 100vh;
}




.introduction {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    height: inherit;
    justify-content: center;
    margin: 0 auto;
    max-width: 644px;

    text-align: center;
}


.introduction svg {
    flex-shrink: 0;
    margin-bottom: 32px;
}

.introduction button {
    background-color: var(--color--crayola);
    border-radius: 32px;
    color: var(--color--white);
    font-weight: 900;
    padding: 16px 48px 14px;
    text-transform: uppercase;
}




.quiz .inner {
    box-sizing: border-box;
    margin: 0 auto;
    padding: 64px 0 128px;
    max-width: 1200px;
}


.quiz .header {
    align-items: center;
    /* border-bottom: 1px solid rgba(0, 0, 0, 0.2); */
    display: flex;
    margin-bottom: 32px;
    /* padding-bottom: 24px; */
}

.quiz .header a {
    display: block;
    margin-right: 24px;
}

.quiz .header span {
    display: block;
}

.quiz .header span::before {
    content: attr(data-text);
    display: block;
    font-size: 31px;
}


.quiz .top-bar {
    margin-bottom: 56px;
}

.quiz .user-info {
    margin-bottom: 25px;
}

.quiz .user-info[_active] {
    display: block;
}

.quiz .user-info span {
    display: block;
}

.quiz .user-info span:first-child::before {
    content: attr(data-text);
    font-size: 20px;
    font-weight: 900;
}

.quiz .user-info span:last-child::before {
    content: attr(data-text);
    font-size: 18px;
}


.quiz .progress {
    border-radius: 3px;
    display: grid;
    grid-column-gap: 32px;
    grid-template-columns: repeat(var(--columns--progress-bars), 1fr);
}

.quiz .progress[_active] {
    display: grid;
}

.quiz .progress span {
    background-color: #FBE3E3;
    display: block;
    height: 1px;
    margin-bottom: 48px;
    overflow: hidden;
    position: relative;
}

.quiz .progress span::before {
    background-color: var(--color--crayola);
    bottom: 0;
    content: "";
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform: scale(0);
}

.quiz .progress span[_active]::before {
    transform: scale(1);
}


.quiz .content {
    display: none;
}

.quiz .content[_active] {
    display: block;
}

.quiz .content[_inactive] {
    display: none;
}


.quiz .radio {
    align-items: center;
    cursor: pointer;
    display: flex;
    position: relative;
}

.quiz .radio[_hidden] {
    display: none;
}

.quiz .radio input:checked + .circle svg {
    transform: scale(1);
}

.quiz .radio .circle {
    align-items: center;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 50%;
    color: var(--color--crayola);
    display: flex;
    flex-shrink: 0;
    height: 22px;
    justify-content: center;
    margin-right: 12px;
    width: 22px;
}

.quiz .radio svg {
    transform: scale(0);
}


.quiz .checkbox {
    cursor: pointer;
    display: flex;
    font-size: 24px;
    position: relative;
}

.quiz .checkbox:first-child {
    margin-bottom: 18px;
}

.quiz .checkbox input:checked + .box svg {
    transform: scale(1);
}

.quiz .checkbox .box {
    align-items: center;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 3px;
    color: var(--color--crayola);
    display: flex;
    flex-shrink: 0;
    height: 22px;
    justify-content: center;
    margin: 3px 12px 0 0;
    width: 22px;
}

.quiz .checkbox svg {
    transform: scale(0);
}

.quiz .checkbox a {
    text-decoration: underline;
}


/* .quiz .personal-info .fields {
    display: grid;
    grid-gap: 48px;
    grid-template-columns: repeat(2, 1fr);
    margin-bottom: 48px;
} */

.quiz .personal-info .field {
    margin-bottom: 48px;
}

.quiz .personal-info .field span {
    display: block;
    font-size: 19px;
    margin-bottom: 13px;
    text-transform: uppercase;
}


/* .quiz .personal-info .fields-group {
    grid-column-start: span 2;
}

.quiz .personal-info .fields-group .field {
    margin-bottom: 24px;
}

.quiz .personal-info fieldset {
    display: flex;
} */

.quiz .personal-info .radio:first-child {
    margin-right: 24px;
}


.quiz .personal-info .checkboxes {
    margin-bottom: 20px;
}


.quiz .personal-info .note {
    font-size: 20px;
    line-height: 34px;
    margin: 0 0 48px;
}

.quiz .personal-info .note a {
    text-decoration: underline;
}

.quiz .personal-info button {
    background-color: var(--color--crayola);
    border-radius: 32px;
    color: var(--color--white);
    font-weight: 900;
    padding: 16px 48px 14px;
    position: relative;
    text-transform: uppercase;
}

.quiz .personal-info button[_processing] {
    color: var(--color--crayola);
}

.quiz .personal-info button[_processing]::after {
    animation: loading 0.8s linear infinite;
    transform: scale(1);
}

.quiz .personal-info button::after {
    border-radius: 50%;
    border-bottom-color: var(--color--white);
    border-left-color: var(--color--white);
    border-right-color: transparent;
    border-style: solid;
    border-top-color: var(--color--white);
    border-width: 3px;
    bottom: 0;
    content: "";
    display: block;
    height: 16px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    transform: scale(0);
    width: 16px;
}




.quiz .questions .options[_hidden] {
    display: none;
}

.quiz .questions .radio:not(:last-child) {
    margin-bottom: 18px;
}

.quiz .questions .explanation {
    display: none;
    margin-top: 38px;
}

.quiz .questions .explanation[_active] {
    display: block;
}

.quiz .questions .explanation p {
    background-color: #09B38D;
    border-radius: 3px;
    color: var(--color--white);
    margin: 0 0 32px;
    padding: 24px 24px 22px;
}

.quiz .questions button {
    background-color: transparent;
    border: 1px solid var(--color--crayola);
    border-radius: 32px;
    color: var(--color--crayola);
    font-weight: 900;
    padding: 15px 47px 13px;
    text-transform: uppercase;
}




.quiz .final p {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    font-size: 37px;
    font-family: inherit;
    flex-direction: column;
    height: calc(100vh - 281px);
    justify-content: center;
    line-height: 47px;
    padding-top: 128px;
    margin: 0;
    text-align: center;
}

.quiz .final span {
    display: block;
    margin-bottom: 16px;
}

.quiz .final span:first-child {
    font-weight: 900;
}

.quiz .final span:last-child {
    font-weight: 400;
}




.quiz .loader {
    height: calc(100vh - 281px);
}

.quiz .loader[_active] span::after {
    animation: loading 0.8s linear infinite;
}

.quiz .loading {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    height: inherit;
    justify-content: center;
    padding-top: 128px;
}

.quiz .loading span {
    display: block;
}

.quiz .loading span::after {
    border-radius: 50%;
    border-bottom-color: var(--color--crayola);
    border-left-color: var(--color--crayola);
    border-right-color: transparent;
    border-style: solid;
    border-top-color: var(--color--crayola);
    border-width: 4px;
    content: "";
    display: block;
    height: 64px;
    margin: 0 auto;
    width: 64px;
}




[_scroll-disabled] {
    overflow: hidden;
}




@keyframes loading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}




.grecaptcha-badge {
    visibility: hidden;
}
